unit DlgViewFinder;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, CamRemoteActiveXXControl1_TLB;

type
  TFormViewFinder = class(TForm)
    Image: TImage;
    ButtonSetAE: TButton;
    ComboBoxViewFinderMode: TComboBox;
    TimerUpdateViewfinder: TTimer;
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure ButtonSetAEClick(Sender: TObject);
    procedure ComboBoxViewFinderModeChange(Sender: TObject);
    procedure TimerUpdateViewfinderTimer(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormViewFinder: TFormViewFinder;

implementation

uses DlgRemote;

{$R *.DFM}

procedure TFormViewFinder.FormShow(Sender: TObject);
begin
  ComboBoxViewFinderMode.Enabled := true;
  FormRemote.CamRemoteActiveX.RemoteStartViewfinder;
  FormRemote.ViewFinderEnabled := true;
end;

procedure TFormViewFinder.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
  FormRemote.CamRemoteActiveX.RemoteStopViewfinder;
  FormRemote.ViewFinderEnabled := false;
end;

procedure TFormViewFinder.ButtonSetAEClick(Sender: TObject);
begin
  FormRemote.CamRemoteActiveX.RemoteActivateViewfinderAuto;
end;

procedure TFormViewFinder.ComboBoxViewFinderModeChange(Sender: TObject);
begin
  case ComboBoxViewFinderMode.ItemIndex of
    0: FormRemote.CamRemoteActiveX.RemoteSetViewfinderOutput(RemoteViewFinderOutputOff);
    1: FormRemote.CamRemoteActiveX.RemoteSetViewfinderOutput(RemoteViewFinderOutputVideo);
    2: FormRemote.CamRemoteActiveX.RemoteSetViewfinderOutput(RemoteViewFinderOutputLCD);
  end;
  ComboBoxViewFinderMode.Enabled := false;
end;

procedure TFormViewFinder.TimerUpdateViewfinderTimer(Sender: TObject);
begin
  //Check if any new Viewfinder picture is received
  if (FormRemote.NewViewfinder) then
  begin
    //Get the 320x240 picture and update the image on the dialogue
    Image.Picture.Assign(FormRemote.ViewfinderPic);
    FormRemote.NewViewfinder := false;
  end;
end;

end.
